# Make a user inactive

Disables a user in an account
This endpoint returns structured Account Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `account_memberships` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: PUT /account_memberships/{id}/disable
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `backup_approver_associations` (BackupApproverAssociation) - Retrieves the [backup approver associations](/tag/Backup-Approver-Associations) for the user this account membership is for, which represent a backup time approver for a specific date range. The response will include `backup_approver_association_ids`, which references the data in the `backup_approver_associations` top-level key.
- `cost_rates` (CostRate) - Retrieves all the cost rates in different currencies for the user this account membership is for. The response will include `cost_rate_ids`, which references the data in the `cost_rates` top-level key.
- `default_role` (Role) - Retrieves the default role, if any, for this account membership. The response will include `default_role_id`, which references the data in the `roles` top-level key.
- `effective_workweek` (Workweek) - Retrieves the workweek that is in effect today for the user this account membership is for. The response will include `effective_workweek_id`, which references the data in the `workweeks` top-level key.
- `future_billable_utilizations` (BillableUtilization) - Retrieves the future billable utilizations for the user this account membership is for. The response will include `future_billable_utilization_ids`, which references the data in the `billable_utilizations` top-level key.
- `managees` (User) - Retrieves the direct reports of the user this account membership is for. The response will include `managee_ids`, which references the data in the `users` top-level key.
- `manager` (User) - Retrieves the manager of the user this account membership is for. The response will include `manager_id`, which references the data in the `users` top-level key.
- `possible_managees` (User) - Retrieves a list of users who can become the direct reports of the user this account membership is for. The response will include `possible_managee_ids`, which references the data in the `users` top-level key.
- `possible_managers` (User) - Retrieves a list of users who can be set as the manager of the user this account membership is for. The response will include `possible_manager_ids`, which references the data in the `users` top-level key.
- `skill_memberships` (SkillMembership) - Retrieves the skill memberships for the user this account membership is for, which represent skills assigned to a user. The response will include `skill_membership_ids`, which references the data in the `skill_memberships` top-level key.
- `user` (User) - Retrieves the user for this account membership. The response will include `user_id`, which references the data in the `users` top-level key.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

